### Method

# FwupdPlugin Progress set_steps

since: 1.7.0

#### Declaration [src]

    void
    fu_progress_set_steps (
      FuProgress* self,
      guint step_max
    )

#### Description [src]

Sets the number of sub-tasks, i.e. how many times the `fu_progress_step_done()` function will be called in the loop.

The progress ID must be set `fu_progress_set_id()` before this method is used.

Available since: 1.7.0

#### Parameters

`step_max`

  Type: `guint`

  The number of sub-tasks in this progress, can be 0.